Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMemberStatusRestricted

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMemberStatus
it.tdlight.jni.TdApi.ChatMemberStatusRestricted

Enclosing class:
  TdApi

public static final class TdApi.ChatMemberStatusRestricted extends TdApi.ChatMemberStatus
The user is under certain restrictions in the chat. Not supported in basic groups and channels.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isMember`
True, if the user is a member of the chat.
`TdApi.ChatPermissions`
`permissions`
User permissions in the chat.
`int`
`restrictedUntilDate`
Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never.

## Constructor Summary

Constructors
Constructor
Description
`ChatMemberStatusRestricted()`
The user is under certain restrictions in the chat.
`ChatMemberStatusRestricted(boolean isMember, int restrictedUntilDate, TdApi.ChatPermissions permissions)`
The user is under certain restrictions in the chat.
`ChatMemberStatusRestricted(DataInput input)`
The user is under certain restrictions in the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isMember

public boolean isMember
True, if the user is a member of the chat.

### restrictedUntilDate

public int restrictedUntilDate
Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never. If the user is restricted for more than 366 days or for less than 30 seconds from the current time, the user is considered to be restricted forever.

### permissions

public TdApi.ChatPermissions permissions
User permissions in the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatMemberStatusRestricted

public ChatMemberStatusRestricted()
The user is under certain restrictions in the chat. Not supported in basic groups and channels.

### ChatMemberStatusRestricted

public ChatMemberStatusRestricted(boolean isMember, int restrictedUntilDate, TdApi.ChatPermissions permissions)
The user is under certain restrictions in the chat. Not supported in basic groups and channels.

Parameters:
  `isMember` - True, if the user is a member of the chat.
  `restrictedUntilDate` - Point in time (Unix timestamp) when restrictions will be lifted from the user; 0 if never. If the user is restricted for more than 366 days or for less than 30 seconds from the current time, the user is considered to be restricted forever.
  `permissions` - User permissions in the chat.

### ChatMemberStatusRestricted

public ChatMemberStatusRestricted(DataInput input) throws IOException
The user is under certain restrictions in the chat. Not supported in basic groups and channels.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`